Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.liacs.subdisc
Class TargetConcept

    java.lang.Object
      nl.liacs.subdisc.TargetConcept

All Implemented Interfaces:
  XMLNodeInterface

    public class TargetConcept

extends java.lang.Object
implements XMLNodeInterface

Depending on the `TargetType` of a TargetConcept, it holds the `PrimaryTarget` and/or `SecondaryTarget`/`MultiTargets`. The TargetType indicates what type of search setting will be used in the experiment. All TargetConcept constructors and setters ensure that its TargetType is never `null` (`SINGLE_NOMINAL` by default).

Constructor Summary
`TargetConcept()`
`TargetConcept(org.w3c.dom.Node theTargetConceptNode, Table theTable)`

Method Summary
`void` | `addNodeTo(org.w3c.dom.Node theParentNode)` Creates an `XMLNode` representation of this TargetConcept.
`java.util.List<Column>` | `getMultiTargets()`
`int` | `getNrTargetAttributes()`
`Column` | `getPrimaryTarget()`
`Column` | `getSecondaryTarget()`
`TargetType` | `getTargetType()`
`java.lang.String` | `getTargetValue()`
`boolean` | `isSingleNominal()`
`boolean` | `isTargetAttribute(Column theColumn)`
`void` | `setMultiTargets(java.util.List<Column> theMultiTargets)`
`void` | `setNrTargetAttributes(int theNr)`
`void` | `setPrimaryTarget(Column thePrimaryTarget)`
`void` | `setSecondaryTarget(Column theSecondaryTarget)`
`void` | `setTargetType(java.lang.String theTargetTypeName)`
`void` | `setTargetValue(java.lang.String theTargetValue)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TargetConcept

    public TargetConcept()

### TargetConcept

    public TargetConcept(org.w3c.dom.Node theTargetConceptNode,
                         Table theTable)

Method Detail

### getNrTargetAttributes

    public int getNrTargetAttributes()

### setNrTargetAttributes

    public void setNrTargetAttributes(int theNr)

### getTargetType

    public TargetType getTargetType()

### setTargetType

    public void setTargetType(java.lang.String theTargetTypeName)

### getPrimaryTarget

    public Column getPrimaryTarget()

### setPrimaryTarget

    public void setPrimaryTarget(Column thePrimaryTarget)

### getTargetValue

    public java.lang.String getTargetValue()

### setTargetValue

    public void setTargetValue(java.lang.String theTargetValue)

### getSecondaryTarget

    public Column getSecondaryTarget()

### setSecondaryTarget

    public void setSecondaryTarget(Column theSecondaryTarget)

### getMultiTargets

    public java.util.List<Column> getMultiTargets()

### setMultiTargets

    public void setMultiTargets(java.util.List<Column> theMultiTargets)

### isSingleNominal

    public boolean isSingleNominal()

### isTargetAttribute

    public boolean isTargetAttribute(Column theColumn)

### addNodeTo

    public void addNodeTo(org.w3c.dom.Node theParentNode)

  Creates an `XMLNode` representation of this TargetConcept.

  Specified by:
    `addNodeTo` in interface `XMLNodeInterface`
  Parameters:
    `theParentNode` - the Node of which this Node will be a ChildNode // * @return a Node that contains all the information of this TargetConcept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD